: Class Message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.gui
Class Message

    java.lang.Object
      |
      +--org.w3c.jigadmin.gui.Message

public class Message
extends java.lang.Object

Messages.

Constructor Summary
`Message()`

Method Summary
`static void` | `showErrorMessage(java.awt.Component parent, java.lang.Exception ex)` Show an error message
`static void` | `showErrorMessage(java.awt.Component parent, java.lang.Exception ex, java.lang.String title)` Show an error message
`static void` | `showErrorMessage(java.awt.Component parent, RemoteAccessException ex)` Show an error message
`static void` | `showErrorMessage(java.awt.Component parent, java.lang.String message, java.lang.String title)` Show an error message
`static void` | `showErrorMessage(RemoteResourceWrapper rrw, java.lang.Exception ex)` Show an error message
`static void` | `showErrorMessage(RemoteResourceWrapper rrw, java.lang.Exception ex, java.lang.String title)` Show an error message
`static void` | `showErrorMessage(RemoteResourceWrapper rrw, RemoteAccessException ex)` Show an error message
`static void` | `showErrorMessage(RemoteResourceWrapper rrw, java.lang.String message, java.lang.String title)` Show an error message
`static void` | `showInformationMessage(java.awt.Component parent, java.lang.String message)` Show a message
`static void` | `showInformationMessage(java.awt.Component parent, java.lang.String message, java.lang.String title)` Show a message
`static void` | `showInformationMessage(RemoteResourceWrapper rrw, java.lang.String message, java.lang.String title)` Show a message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Message

    public Message()

Method Detail

### showErrorMessage

    public static void showErrorMessage(java.awt.Component parent,
                                        java.lang.String message,
                                        java.lang.String title)

  Show an error message
  Parameters:
    `parent` - The parent Component
    `message` - The message to show
    `title` - The dialog title

### showErrorMessage

    public static void showErrorMessage(RemoteResourceWrapper rrw,
                                        java.lang.String message,
                                        java.lang.String title)

  Show an error message
  Parameters:
    `rrw` - the RemoteResourceWrapper associated to this message
    `message` - The message to show
    `title` - The dialog title

### showErrorMessage

    public static void showErrorMessage(java.awt.Component parent,
                                        java.lang.Exception ex,
                                        java.lang.String title)

  Show an error message
  Parameters:
    `parent` - The parent Component
    `ex` - the catched exception
    `title` - The dialog title

### showErrorMessage

    public static void showErrorMessage(RemoteResourceWrapper rrw,
                                        java.lang.Exception ex,
                                        java.lang.String title)

  Show an error message
  Parameters:
    `rrw` - the RemoteResourceWrapper associated to this message
    `ex` - the catched exception
    `title` - The dialog title

### showErrorMessage

    public static void showErrorMessage(java.awt.Component parent,
                                        RemoteAccessException ex)

  Show an error message
  Parameters:
    `parent` - The parent Component
    `ex` - the catched exception

### showErrorMessage

    public static void showErrorMessage(RemoteResourceWrapper rrw,
                                        RemoteAccessException ex)

  Show an error message
  Parameters:
    `rrw` - the RemoteResourceWrapper associated to this message
    `ex` - the catched exception

### showErrorMessage

    public static void showErrorMessage(java.awt.Component parent,
                                        java.lang.Exception ex)

  Show an error message
  Parameters:
    `parent` - The parent Component
    `ex` - the catched exception

### showErrorMessage

    public static void showErrorMessage(RemoteResourceWrapper rrw,
                                        java.lang.Exception ex)

  Show an error message
  Parameters:
    `rrw` - the RemoteResourceWrapper associated to this message
    `ex` - the catched exception

### showInformationMessage

    public static void showInformationMessage(java.awt.Component parent,
                                              java.lang.String message,
                                              java.lang.String title)

  Show a message
  Parameters:
    `parent` - The parent Component
    `message` - The message to show
    `title` - The dialog title

### showInformationMessage

    public static void showInformationMessage(RemoteResourceWrapper rrw,
                                              java.lang.String message,
                                              java.lang.String title)

  Show a message
  Parameters:
    `rrw` - the RemoteResourceWrapper associated to this message
    `message` - The message to show
    `title` - The dialog title

### showInformationMessage

    public static void showInformationMessage(java.awt.Component parent,
                                              java.lang.String message)

  Show a message
  Parameters:
    `parent` - The parent Component
    `message` - The message to show

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD